Help

Shop for English courses requires the following software to be installed and/or enabled on your computer:

  • Macromedia Flash Player™ plug-in must be installed
  • JavaScript must be enabled
  • One of the following Internet Browsers must be installed:
    • Internet Explorer 7.0 or later
    • Firefox 3.0 or later
    • Safari 4 or later
Check if your computer is ready

If you need support please complete the form on our help page and our team will contact you.

You will also find a link to the help page after you log in.

Guide for Students

- English
- Chinese